#
# spec file for package pulseaudio-equalizer
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   pulseaudio-equalizer-ladspa
Name:           pulseaudio-equalizer
Version:        3.0.2
Release:        1.12
Summary:        PulseAudio's LADSPA plugin graphical user interface
License:        GPL-3.0-or-later
URL:            https://github.com/pulseaudio-equalizer-ladspa/equalizer
Source:         https://github.com/pulseaudio-equalizer-ladspa/equalizer/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE pulseaudio-equalizer-fix-locale-issues.patch sor.alexei@meowr.ru -- Fix issues on non-Latin systems.
Patch0:         pulseaudio-equalizer-fix-locale-issues.patch
# PATCH-FIX-OPENSUSE pulseaudio-equalizer-use-pactl.patch sor.alexei@meowr.ru -- Use pactl instead of pacmd.
Patch1:         pulseaudio-equalizer-use-pactl.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  meson
BuildRequires:  python3
BuildRequires:  update-desktop-files
Requires:       bc
Requires:       ladspa-swh-plugins
Requires:       pulseaudio-daemon
Requires:       pulseaudio-utils
Requires:       python3-gobject
Requires:       python3-gobject-Gdk
BuildArch:      noarch

%description
GUI for PulseAudio's LADSPA interface using Steve Harris' Multiband EQ
(mbeq_1197) plugin.

%prep
%autosetup -n equalizer-%{version} -p1

%build
%meson -Dpurelib=%{python3_sitelib}
%meson_build

%install
%meson_install
%py3_compile %{buildroot}%{python3_sitelib}/pulseeq/
sed -i '/^#!/s|env python3$|python3|' %{buildroot}%{_bindir}/%{name}-gtk

%suse_update_desktop_file -r com.github.%{_name}.Equalizer AudioVideo Mixer GTK

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk
%{_datadir}/%{_name}/
%{_datadir}/applications/*%{_name}*.desktop
%{python3_sitelib}/pulseeq/

%changelog
* Sat Nov  6 2021 Alexei Sorokin <sor.alexei@meowr.ru>
- Update to version 3.0.2:
  * No changelog available.
- Drop 0000-add-python3-compat.patch, 0001-pulse-path.patch,
  0002-remove-preamp.patch, 0005-window-icon.patch,
  0003-force-default-persistence-value.patch,
  0004-do-not-crash-on-missing-preset.patch,
  0007-pygobject3-port.patch, 0009-do-not-zero-volume.patch: fixed
  upstream.
- Replace 0006-fix-desktop.patch with %%suse_update_desktop_file,
  the icon change has been done upstream.
- Simplify and rename 0008-fix-locale-issues.patch to
  pulseaudio-equalizer-fix-locale-issues.patch: iconv does not
  appear to be necessary.
- Add pulseaudio-equalizer-use-pactl.patch: Use pactl instead of
  pacmd for compatibility with other PulseAudio daemon
  implementations.
- Require pulseaudio-daemon instead of pulseaudio.
* Sun Feb 25 2018 sor.alexei@meowr.ru
- Add 0000-add-python3-compat.patch: Add Python3 compatibility.
- Rebase and improve 0001-pulse-path.patch, 0005-window-icon.patch.
- Squash 0007-remove-all-preamp.patch into 0002-remove-preamp.patch.
- Rebase 0003-force-default-persistence-value.patch,
  0004-do-not-crash-on-missing-preset.patch,
  0008-fix-locale-issues.patch, 0009-do-not-zero-volume.patch.
- Add 0007-pygobject3-port.patch: Port to PyGObject3 and GTK+3.
- Do not use a wrapper for pulseaudio-equalizer-gtk.
- Switch to Python3.
* Fri Sep  4 2015 altesholz@gmail.com
- Some quotes in patch 0008-fix-locale-issues.patch were wrong:
  ' instead of " and the other way around.
* Wed Apr 29 2015 sor.alexei@meowr.ru
- Add 0007-remove-all-preamp.patch, 0008-fix-locale-issues.patch,
  0009-do-not-zero-volume.patch.
* Mon Oct 20 2014 sor.alexei@meowr.ru
- Add .desktop database update.
- Spec cleanup.
* Thu Jul 17 2014 sor.alexei@meowr.ru
- Initial build.
